Subject: bug#50112: 28.0.50; ediff help frame does not display text

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 19 Aug 2021 15:33:26 +0200

David Phillips <[email-masked]> writes:

> I built emacs this morning from the git master branch.
> The latest commit was 9b31ad36094666da6b3281025adc163829d89de8 with
> a date stamp of Wed Aug 18 20:02:39 2021 +0300.
> I am running the macos GUI version.
> First I run /Applications/Emacs/Contents/MacOS/Emacs -Q
> then I load two files and run 'ediff-buffers' to compare them.
> ediff works just fine except that the frame with the help message
> is an empty frame. The '?' command changes the frame size but the
> text never renders.

I can reproduce this problem on Macos, but not in Debian.

I had a brief look at

commit f26a027d6b8e0b894d5d28c446643d411b376ea9
Author: pillule <[email-masked]>
Commit: Martin Rudalics <[email-masked]>

    Fix ediff3 layouts with window-combination-resize non-nil (Bug#49277)

since that's a recent patch in this area, but it's not immediately clear
why this change should make a difference on Macos, but not Debian.  (I
haven't confirmed that this change is the culprit, mind.)

Perhaps Alan has some insight here; added to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no